## ros-dashing-autoware-auto-create-pkg 0.0.2

=== autoware_auto_create_pkg/template/CMakeLists.txt ===
# Copyright 2018 Apex.AI, Inc.
# Co-developed by Tier IV, Inc. and Apex.AI, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
cmake_minimum_required(VERSION 3.5)

project(autoware_auto_hello_world)

# dependencies
find_package(autoware_auto_cmake REQUIRED)  # Required on all packages!
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)

# includes
include_directories(include)

set(HELLO_WORLD_LIB_SRC
    src/hello_world.cpp
)

set(HELLO_WORLD_LIB_HEADERS
  include/hello_world/hello_world.hpp
  include/hello_world/visibility_control.hpp
)

# generate library
add_library(${PROJECT_NAME} SHARED ${HELLO_WORLD_LIB_SRC} ${HELLO_WORLD_LIB_HEADERS})
autoware_set_compile_options(${PROJECT_NAME})
ament_target_dependencies(${PROJECT_NAME} "rclcpp")

set(HELLO_WORLD_EXE_SRC
    src/main.cpp
    src/hello_world_node.cpp
)

set(HELLO_WORLD_EXE_HEADERS
  include/hello_world/hello_world_node.hpp
)

# generate executable for ros1-style standalone nodes
set(HELLO_WORLD_EXE "hello_world_exe")
add_executable(${HELLO_WORLD_EXE} ${HELLO_WORLD_EXE_SRC} ${HELLO_WORLD_EXE_HEADERS})
target_link_libraries(${HELLO_WORLD_EXE} ${PROJECT_NAME})
ament_target_dependencies(${HELLO_WORLD_EXE} ${PROJECT_NAME} "rclcpp")
autoware_set_compile_options(${HELLO_WORLD_EXE})

# Testing
if(BUILD_TESTING)
    # Unit tests
    find_package(ament_cmake_gtest)
    set(TEST_SOURCES test/gtest_main.cpp test/test_hello_world.cpp)
    set(TEST_HELLO_WORLD_EXE test_hello_world)
    ament_add_gtest(${TEST_HELLO_WORLD_EXE} ${TEST_SOURCES})
    target_link_libraries(${TEST_HELLO_WORLD_EXE} ${PROJECT_NAME})

    # Static code analyzers
    autoware_static_code_analysis()

    #find_package(autoware_integration_tests)
    #autoware_integration_tests(
    #  EXPECTED_OUTPUT_DIR "test/"
    #  COMMANDS
    #  "${HELLO_WORLD_EXE}"
    #)
endif()

# Install stuff
autoware_install(
  HAS_INCLUDE
  LIBRARIES "${PROJECT_NAME}"
  EXECUTABLES "${HELLO_WORLD_EXE}"
)

# Ament Exporting
ament_export_dependencies("rclcpp")
ament_package()

=== debian/changelog ===
ros-dashing-autoware-auto-create-pkg (0.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 14 Oct 2019 15:20:10 -0000

=== debian/control ===
Source: ros-dashing-autoware-auto-create-pkg
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ament-pep257, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-autoware-auto-create-pkg
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-ros-workspace
Description: A command line tool to create a boiler-plate package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/dashing" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-autoware-auto-create-pkg//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
